Subject: Re: [PATCH] media: drop unnecessary networking includes

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Feb 2023 18:41:28 -0800

On Fri,  3 Feb 2023 15:31:29 -0800 Jakub Kicinski wrote:
> dvb_net.h includes a bunch of core networking headers which increases
> the number of objects rebuilt when we touch them. They are unnecessary
> for the header itself and only one driver has an indirect dependency.
> 
> tveeprom.h includes if_packet to gain access to ETH_ALEN. This
> is a bit of an overkill because if_packet.h pulls in skbuff.h.
> The definition of ETH_ALEN is in the uAPI header, which is
> very rarely touched, so switch to including that.
> 
> This results in roughly 250 fewer objects built when skbuff.h
> is touched (6028 -> 5788).
> 
> Signed-off-by: Jakub Kicinski <[email-masked]>

Hi Mauro! Could you take this in for 6.3?
Is it okay if we queue it via the networking tree otherwise?